Planet
navi homePPSaboutscreenshotsdownloaddevelopmentforum

Changeset 4061 in orxonox.OLD


Ignore:
Timestamp:
May 5, 2005, 3:10:03 AM (19 years ago)
Author:
bensch
Message:

orxonox/trunk: no more multi-Threading-support… maybe again in the future, who knows

Location:
orxonox/trunk
Files:
15 edited

Legend:

Unmodified
Added
Removed
  • orxonox/trunk/Makefile.in

    r4054 r4061  
    105105EXEEXT = @EXEEXT@
    106106GPROF = @GPROF@
    107 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    108 GTHREAD_LIBS = @GTHREAD_LIBS@
    109107GTK2_CFLAGS = @GTK2_CFLAGS@
    110108GTK2_LIBS = @GTK2_LIBS@
    111109HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    112110HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    113 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    114 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    115111HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    116112HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/configure

    r4054 r4061  
    312312#endif"
    313313
    314 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE GPROF MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE GTHREAD_LIBS GTHREAD_CFLAGS HAVE_GTHREAD_TRUE HAVE_GTHREAD_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
     314ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG SUB_PROJECTS_TRUE SUB_PROJECTS_FALSE DOCUMENTATION_TRUE DOCUMENTATION_FALSE DOXYGEN DOXYGEN_TRUE DOXYGEN_FALSE GPROF MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE CURL_LIBS CURL_CFLAGS HAVE_CURL_TRUE HAVE_CURL_FALSE LIBOBJS LTLIBOBJS'
    315315ac_subst_files=''
    316316
     
    879879  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    880880  --without-gtk           Prevents GTK from being loaded
    881   --without-gthread       Prevents gThread from being loaded
    882   --without-pthread       Prevents pthread from being loaded
    883881  --without-curl          Prevents libcURL from being loaded
    884882
     
    40064004
    40074005#------------------#
    4008 # gThread-disabled #
    4009 #------------------#
    4010 echo "$as_me:$LINENO: checking if gThread should be enabled" >&5
    4011 echo $ECHO_N "checking if gThread should be enabled... $ECHO_C" >&6
    4012 
    4013 # Check whether --with-gthread or --without-gthread was given.
    4014 if test "${with_gthread+set}" = set; then
    4015   withval="$with_gthread"
    4016   def_gthread=no
    4017 else
    4018   def_gthread=yes
    4019 fi;
    4020 if test x$def_gthread = xyes; then
    4021   echo "yes"
    4022 fi
    4023 if test x$def_gthread = xno; then
    4024   echo "no"
    4025 fi
    4026 
    4027 #------------------#
    4028 # pthread-disabled #
    4029 #------------------#
    4030 echo "$as_me:$LINENO: checking if pthread should be enabled" >&5
    4031 echo $ECHO_N "checking if pthread should be enabled... $ECHO_C" >&6
    4032 
    4033 # Check whether --with-pthread or --without-pthread was given.
    4034 if test "${with_pthread+set}" = set; then
    4035   withval="$with_pthread"
    4036   def_pthread=no
    4037 else
    4038   def_pthread=yes
    4039 fi;
    4040 if test x$def_pthread = xyes; then
    4041   echo "yes"
    4042 fi
    4043 if test x$def_pthread = xno; then
    4044   echo "no"
    4045 fi
    4046 
    4047 #------------------#
    40484006# libCurl-disabled #
    40494007#------------------#
     
    67496707
    67506708#---------#
    6751 # gThread #
    6752 #---------#
    6753 if test x$def_gthread = xyes; then
    6754 
    6755         echo "$as_me:$LINENO: checking for gthread" >&5
    6756 echo $ECHO_N "checking for gthread... $ECHO_C" >&6
    6757         if `pkg-config --exists gthread-2.0`; then
    6758                 echo "yes"
    6759                 have_gthread=yes
    6760                 GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
    6761                 GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
    6762 
    6763 cat >>confdefs.h <<_ACEOF
    6764 #define HAVE_GTHREAD 1
    6765 _ACEOF
    6766 
    6767         else
    6768                 echo "no"
    6769         fi
    6770 
    6771 fi
    6772 
    6773 
    6774 
    6775 
    6776 if test x$have_gthread = xyes; then
    6777   HAVE_GTHREAD_TRUE=
    6778   HAVE_GTHREAD_FALSE='#'
    6779 else
    6780   HAVE_GTHREAD_TRUE='#'
    6781   HAVE_GTHREAD_FALSE=
    6782 fi
    6783 
    6784 
    6785 #---------#
    67866709# libcURL #
    67876710#---------#
     
    70296952
    70306953
    7031 #---------#
    7032 # pthread #
    7033 #---------#
    7034 if test x$def_pthread = xyes ; then
    7035  if test x$have_gthread = xyes ; then
    7036 
    7037 for ac_header in pthread.h
     6954#--------#
     6955# efence #
     6956#--------#
     6957if test x$def_efence = xyes ; then
     6958  echo "$as_me:$LINENO: checking for main in -lefence" >&5
     6959echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
     6960if test "${ac_cv_lib_efence_main+set}" = set; then
     6961  echo $ECHO_N "(cached) $ECHO_C" >&6
     6962else
     6963  ac_check_lib_save_LIBS=$LIBS
     6964LIBS="-lefence  $LIBS"
     6965cat >conftest.$ac_ext <<_ACEOF
     6966/* confdefs.h.  */
     6967_ACEOF
     6968cat confdefs.h >>conftest.$ac_ext
     6969cat >>conftest.$ac_ext <<_ACEOF
     6970/* end confdefs.h.  */
     6971
     6972
     6973int
     6974main ()
     6975{
     6976main ();
     6977  ;
     6978  return 0;
     6979}
     6980_ACEOF
     6981rm -f conftest.$ac_objext conftest$ac_exeext
     6982if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     6983  (eval $ac_link) 2>conftest.er1
     6984  ac_status=$?
     6985  grep -v '^ *+' conftest.er1 >conftest.err
     6986  rm -f conftest.er1
     6987  cat conftest.err >&5
     6988  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6989  (exit $ac_status); } &&
     6990         { ac_try='test -z "$ac_c_werror_flag"
     6991                         || test ! -s conftest.err'
     6992  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6993  (eval $ac_try) 2>&5
     6994  ac_status=$?
     6995  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     6996  (exit $ac_status); }; } &&
     6997         { ac_try='test -s conftest$ac_exeext'
     6998  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     6999  (eval $ac_try) 2>&5
     7000  ac_status=$?
     7001  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7002  (exit $ac_status); }; }; then
     7003  ac_cv_lib_efence_main=yes
     7004else
     7005  echo "$as_me: failed program was:" >&5
     7006sed 's/^/| /' conftest.$ac_ext >&5
     7007
     7008ac_cv_lib_efence_main=no
     7009fi
     7010rm -f conftest.err conftest.$ac_objext \
     7011      conftest$ac_exeext conftest.$ac_ext
     7012LIBS=$ac_check_lib_save_LIBS
     7013fi
     7014echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
     7015echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
     7016if test $ac_cv_lib_efence_main = yes; then
     7017  FOUND_efence=yes
     7018fi
     7019
     7020   if test x$FOUND_efence = xyes ; then
     7021      LIBS="$LIBS -lefence"
     7022   fi
     7023
     7024fi
     7025
     7026# FIXME: Replace `main' with a function in `-lm':
     7027
     7028echo "$as_me:$LINENO: checking for main in -lm" >&5
     7029echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
     7030if test "${ac_cv_lib_m_main+set}" = set; then
     7031  echo $ECHO_N "(cached) $ECHO_C" >&6
     7032else
     7033  ac_check_lib_save_LIBS=$LIBS
     7034LIBS="-lm  $LIBS"
     7035cat >conftest.$ac_ext <<_ACEOF
     7036/* confdefs.h.  */
     7037_ACEOF
     7038cat confdefs.h >>conftest.$ac_ext
     7039cat >>conftest.$ac_ext <<_ACEOF
     7040/* end confdefs.h.  */
     7041
     7042
     7043int
     7044main ()
     7045{
     7046main ();
     7047  ;
     7048  return 0;
     7049}
     7050_ACEOF
     7051rm -f conftest.$ac_objext conftest$ac_exeext
     7052if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7053  (eval $ac_link) 2>conftest.er1
     7054  ac_status=$?
     7055  grep -v '^ *+' conftest.er1 >conftest.err
     7056  rm -f conftest.er1
     7057  cat conftest.err >&5
     7058  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7059  (exit $ac_status); } &&
     7060         { ac_try='test -z "$ac_c_werror_flag"
     7061                         || test ! -s conftest.err'
     7062  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7063  (eval $ac_try) 2>&5
     7064  ac_status=$?
     7065  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7066  (exit $ac_status); }; } &&
     7067         { ac_try='test -s conftest$ac_exeext'
     7068  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7069  (eval $ac_try) 2>&5
     7070  ac_status=$?
     7071  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7072  (exit $ac_status); }; }; then
     7073  ac_cv_lib_m_main=yes
     7074else
     7075  echo "$as_me: failed program was:" >&5
     7076sed 's/^/| /' conftest.$ac_ext >&5
     7077
     7078ac_cv_lib_m_main=no
     7079fi
     7080rm -f conftest.err conftest.$ac_objext \
     7081      conftest$ac_exeext conftest.$ac_ext
     7082LIBS=$ac_check_lib_save_LIBS
     7083fi
     7084echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
     7085echo "${ECHO_T}$ac_cv_lib_m_main" >&6
     7086if test $ac_cv_lib_m_main = yes; then
     7087  cat >>confdefs.h <<_ACEOF
     7088#define HAVE_LIBM 1
     7089_ACEOF
     7090
     7091  LIBS="-lm $LIBS"
     7092
     7093fi
     7094
     7095
     7096
     7097# Checks for header files.
     7098echo "$as_me:$LINENO: checking for ANSI C header files" >&5
     7099echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
     7100if test "${ac_cv_header_stdc+set}" = set; then
     7101  echo $ECHO_N "(cached) $ECHO_C" >&6
     7102else
     7103  cat >conftest.$ac_ext <<_ACEOF
     7104/* confdefs.h.  */
     7105_ACEOF
     7106cat confdefs.h >>conftest.$ac_ext
     7107cat >>conftest.$ac_ext <<_ACEOF
     7108/* end confdefs.h.  */
     7109#include <stdlib.h>
     7110#include <stdarg.h>
     7111#include <string.h>
     7112#include <float.h>
     7113
     7114int
     7115main ()
     7116{
     7117
     7118  ;
     7119  return 0;
     7120}
     7121_ACEOF
     7122rm -f conftest.$ac_objext
     7123if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7124  (eval $ac_compile) 2>conftest.er1
     7125  ac_status=$?
     7126  grep -v '^ *+' conftest.er1 >conftest.err
     7127  rm -f conftest.er1
     7128  cat conftest.err >&5
     7129  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7130  (exit $ac_status); } &&
     7131         { ac_try='test -z "$ac_c_werror_flag"
     7132                         || test ! -s conftest.err'
     7133  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7134  (eval $ac_try) 2>&5
     7135  ac_status=$?
     7136  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7137  (exit $ac_status); }; } &&
     7138         { ac_try='test -s conftest.$ac_objext'
     7139  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7140  (eval $ac_try) 2>&5
     7141  ac_status=$?
     7142  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7143  (exit $ac_status); }; }; then
     7144  ac_cv_header_stdc=yes
     7145else
     7146  echo "$as_me: failed program was:" >&5
     7147sed 's/^/| /' conftest.$ac_ext >&5
     7148
     7149ac_cv_header_stdc=no
     7150fi
     7151rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7152
     7153if test $ac_cv_header_stdc = yes; then
     7154  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
     7155  cat >conftest.$ac_ext <<_ACEOF
     7156/* confdefs.h.  */
     7157_ACEOF
     7158cat confdefs.h >>conftest.$ac_ext
     7159cat >>conftest.$ac_ext <<_ACEOF
     7160/* end confdefs.h.  */
     7161#include <string.h>
     7162
     7163_ACEOF
     7164if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7165  $EGREP "memchr" >/dev/null 2>&1; then
     7166  :
     7167else
     7168  ac_cv_header_stdc=no
     7169fi
     7170rm -f conftest*
     7171
     7172fi
     7173
     7174if test $ac_cv_header_stdc = yes; then
     7175  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
     7176  cat >conftest.$ac_ext <<_ACEOF
     7177/* confdefs.h.  */
     7178_ACEOF
     7179cat confdefs.h >>conftest.$ac_ext
     7180cat >>conftest.$ac_ext <<_ACEOF
     7181/* end confdefs.h.  */
     7182#include <stdlib.h>
     7183
     7184_ACEOF
     7185if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
     7186  $EGREP "free" >/dev/null 2>&1; then
     7187  :
     7188else
     7189  ac_cv_header_stdc=no
     7190fi
     7191rm -f conftest*
     7192
     7193fi
     7194
     7195if test $ac_cv_header_stdc = yes; then
     7196  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
     7197  if test "$cross_compiling" = yes; then
     7198  :
     7199else
     7200  cat >conftest.$ac_ext <<_ACEOF
     7201/* confdefs.h.  */
     7202_ACEOF
     7203cat confdefs.h >>conftest.$ac_ext
     7204cat >>conftest.$ac_ext <<_ACEOF
     7205/* end confdefs.h.  */
     7206#include <ctype.h>
     7207#if ((' ' & 0x0FF) == 0x020)
     7208# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
     7209# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
     7210#else
     7211# define ISLOWER(c) \
     7212                   (('a' <= (c) && (c) <= 'i') \
     7213                     || ('j' <= (c) && (c) <= 'r') \
     7214                     || ('s' <= (c) && (c) <= 'z'))
     7215# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
     7216#endif
     7217
     7218#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
     7219int
     7220main ()
     7221{
     7222  int i;
     7223  for (i = 0; i < 256; i++)
     7224    if (XOR (islower (i), ISLOWER (i))
     7225        || toupper (i) != TOUPPER (i))
     7226      exit(2);
     7227  exit (0);
     7228}
     7229_ACEOF
     7230rm -f conftest$ac_exeext
     7231if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     7232  (eval $ac_link) 2>&5
     7233  ac_status=$?
     7234  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7235  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
     7236  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     7237  (eval $ac_try) 2>&5
     7238  ac_status=$?
     7239  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     7240  (exit $ac_status); }; }; then
     7241  :
     7242else
     7243  echo "$as_me: program exited with status $ac_status" >&5
     7244echo "$as_me: failed program was:" >&5
     7245sed 's/^/| /' conftest.$ac_ext >&5
     7246
     7247( exit $ac_status )
     7248ac_cv_header_stdc=no
     7249fi
     7250rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
     7251fi
     7252fi
     7253fi
     7254echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
     7255echo "${ECHO_T}$ac_cv_header_stdc" >&6
     7256if test $ac_cv_header_stdc = yes; then
     7257
     7258cat >>confdefs.h <<\_ACEOF
     7259#define STDC_HEADERS 1
     7260_ACEOF
     7261
     7262fi
     7263
     7264
     7265
     7266for ac_header in stdlib.h string.h
    70387267do
    70397268as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    71797408#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    71807409_ACEOF
    7181  pthreadHeader="yes"
    7182 else
    7183   pthreadHeader="no"
     7410
    71847411fi
    71857412
    71867413done
    71877414
    7188   echo "$as_me:$LINENO: checking for main in -lpthread" >&5
    7189 echo $ECHO_N "checking for main in -lpthread... $ECHO_C" >&6
    7190 if test "${ac_cv_lib_pthread_main+set}" = set; then
     7415
     7416# Checks for typedefs, structures, and compiler characteristics.
     7417echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
     7418echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
     7419if test "${ac_cv_header_stdbool_h+set}" = set; then
    71917420  echo $ECHO_N "(cached) $ECHO_C" >&6
    71927421else
    7193   ac_check_lib_save_LIBS=$LIBS
    7194 LIBS="-lpthread  $LIBS"
    7195 cat >conftest.$ac_ext <<_ACEOF
     7422  cat >conftest.$ac_ext <<_ACEOF
    71967423/* confdefs.h.  */
    71977424_ACEOF
     
    72007427/* end confdefs.h.  */
    72017428
     7429#include <stdbool.h>
     7430#ifndef bool
     7431# error bool is not defined
     7432#endif
     7433#ifndef false
     7434# error false is not defined
     7435#endif
     7436#if false
     7437# error false is not 0
     7438#endif
     7439#ifndef true
     7440# error true is not defined
     7441#endif
     7442#if true != 1
     7443# error true is not 1
     7444#endif
     7445#ifndef __bool_true_false_are_defined
     7446# error __bool_true_false_are_defined is not defined
     7447#endif
     7448
     7449        struct s { _Bool s: 1; _Bool t; } s;
     7450
     7451        char a[true == 1 ? 1 : -1];
     7452        char b[false == 0 ? 1 : -1];
     7453        char c[__bool_true_false_are_defined == 1 ? 1 : -1];
     7454        char d[(bool) -0.5 == true ? 1 : -1];
     7455        bool e = &s;
     7456        char f[(_Bool) -0.0 == false ? 1 : -1];
     7457        char g[true];
     7458        char h[sizeof (_Bool)];
     7459        char i[sizeof s.t];
    72027460
    72037461int
    72047462main ()
    72057463{
    7206 main ();
     7464 return !a + !b + !c + !d + !e + !f + !g + !h + !i;
    72077465  ;
    72087466  return 0;
    72097467}
    72107468_ACEOF
    7211 rm -f conftest.$ac_objext conftest$ac_exeext
    7212 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7213   (eval $ac_link) 2>conftest.er1
     7469rm -f conftest.$ac_objext
     7470if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7471  (eval $ac_compile) 2>conftest.er1
    72147472  ac_status=$?
    72157473  grep -v '^ *+' conftest.er1 >conftest.err
     
    72257483  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    72267484  (exit $ac_status); }; } &&
    7227          { ac_try='test -s conftest$ac_exeext'
     7485         { ac_try='test -s conftest.$ac_objext'
    72287486  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    72297487  (eval $ac_try) 2>&5
     
    72317489  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    72327490  (exit $ac_status); }; }; then
    7233   ac_cv_lib_pthread_main=yes
     7491  ac_cv_header_stdbool_h=yes
    72347492else
    72357493  echo "$as_me: failed program was:" >&5
    72367494sed 's/^/| /' conftest.$ac_ext >&5
    72377495
    7238 ac_cv_lib_pthread_main=no
    7239 fi
    7240 rm -f conftest.err conftest.$ac_objext \
    7241       conftest$ac_exeext conftest.$ac_ext
    7242 LIBS=$ac_check_lib_save_LIBS
    7243 fi
    7244 echo "$as_me:$LINENO: result: $ac_cv_lib_pthread_main" >&5
    7245 echo "${ECHO_T}$ac_cv_lib_pthread_main" >&6
    7246 if test $ac_cv_lib_pthread_main = yes; then
    7247   FOUND_pthread=yes
    7248 fi
    7249 
    7250    if test x$FOUND_pthread = xyes ; then
    7251       LIBS="$LIBS -lpthread"
    7252    fi
    7253  fi
    7254 fi
    7255 
    7256 
    7257 #--------#
    7258 # efence #
    7259 #--------#
    7260 if test x$def_efence = xyes ; then
    7261   echo "$as_me:$LINENO: checking for main in -lefence" >&5
    7262 echo $ECHO_N "checking for main in -lefence... $ECHO_C" >&6
    7263 if test "${ac_cv_lib_efence_main+set}" = set; then
     7496ac_cv_header_stdbool_h=no
     7497fi
     7498rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     7499fi
     7500echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
     7501echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
     7502echo "$as_me:$LINENO: checking for _Bool" >&5
     7503echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
     7504if test "${ac_cv_type__Bool+set}" = set; then
    72647505  echo $ECHO_N "(cached) $ECHO_C" >&6
    72657506else
    7266   ac_check_lib_save_LIBS=$LIBS
    7267 LIBS="-lefence  $LIBS"
    7268 cat >conftest.$ac_ext <<_ACEOF
     7507  cat >conftest.$ac_ext <<_ACEOF
    72697508/* confdefs.h.  */
    72707509_ACEOF
     
    72727511cat >>conftest.$ac_ext <<_ACEOF
    72737512/* end confdefs.h.  */
    7274 
    7275 
     7513$ac_includes_default
    72767514int
    72777515main ()
    72787516{
    7279 main ();
     7517if ((_Bool *) 0)
     7518  return 0;
     7519if (sizeof (_Bool))
     7520  return 0;
    72807521  ;
    72817522  return 0;
    72827523}
    72837524_ACEOF
    7284 rm -f conftest.$ac_objext conftest$ac_exeext
    7285 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7286   (eval $ac_link) 2>conftest.er1
     7525rm -f conftest.$ac_objext
     7526if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     7527  (eval $ac_compile) 2>conftest.er1
    72877528  ac_status=$?
    72887529  grep -v '^ *+' conftest.er1 >conftest.err
     
    72987539  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    72997540  (exit $ac_status); }; } &&
    7300          { ac_try='test -s conftest$ac_exeext'
    7301   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7302   (eval $ac_try) 2>&5
    7303   ac_status=$?
    7304   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7305   (exit $ac_status); }; }; then
    7306   ac_cv_lib_efence_main=yes
    7307 else
    7308   echo "$as_me: failed program was:" >&5
    7309 sed 's/^/| /' conftest.$ac_ext >&5
    7310 
    7311 ac_cv_lib_efence_main=no
    7312 fi
    7313 rm -f conftest.err conftest.$ac_objext \
    7314       conftest$ac_exeext conftest.$ac_ext
    7315 LIBS=$ac_check_lib_save_LIBS
    7316 fi
    7317 echo "$as_me:$LINENO: result: $ac_cv_lib_efence_main" >&5
    7318 echo "${ECHO_T}$ac_cv_lib_efence_main" >&6
    7319 if test $ac_cv_lib_efence_main = yes; then
    7320   FOUND_efence=yes
    7321 fi
    7322 
    7323    if test x$FOUND_efence = xyes ; then
    7324       LIBS="$LIBS -lefence"
    7325    fi
    7326 
    7327 fi
    7328 
    7329 # FIXME: Replace `main' with a function in `-lm':
    7330 
    7331 echo "$as_me:$LINENO: checking for main in -lm" >&5
    7332 echo $ECHO_N "checking for main in -lm... $ECHO_C" >&6
    7333 if test "${ac_cv_lib_m_main+set}" = set; then
    7334   echo $ECHO_N "(cached) $ECHO_C" >&6
    7335 else
    7336   ac_check_lib_save_LIBS=$LIBS
    7337 LIBS="-lm  $LIBS"
    7338 cat >conftest.$ac_ext <<_ACEOF
    7339 /* confdefs.h.  */
    7340 _ACEOF
    7341 cat confdefs.h >>conftest.$ac_ext
    7342 cat >>conftest.$ac_ext <<_ACEOF
    7343 /* end confdefs.h.  */
    7344 
    7345 
    7346 int
    7347 main ()
    7348 {
    7349 main ();
    7350   ;
    7351   return 0;
    7352 }
    7353 _ACEOF
    7354 rm -f conftest.$ac_objext conftest$ac_exeext
    7355 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7356   (eval $ac_link) 2>conftest.er1
    7357   ac_status=$?
    7358   grep -v '^ *+' conftest.er1 >conftest.err
    7359   rm -f conftest.er1
    7360   cat conftest.err >&5
    7361   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7362   (exit $ac_status); } &&
    7363          { ac_try='test -z "$ac_c_werror_flag"
    7364                          || test ! -s conftest.err'
    7365   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7366   (eval $ac_try) 2>&5
    7367   ac_status=$?
    7368   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7369   (exit $ac_status); }; } &&
    7370          { ac_try='test -s conftest$ac_exeext'
    7371   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7372   (eval $ac_try) 2>&5
    7373   ac_status=$?
    7374   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7375   (exit $ac_status); }; }; then
    7376   ac_cv_lib_m_main=yes
    7377 else
    7378   echo "$as_me: failed program was:" >&5
    7379 sed 's/^/| /' conftest.$ac_ext >&5
    7380 
    7381 ac_cv_lib_m_main=no
    7382 fi
    7383 rm -f conftest.err conftest.$ac_objext \
    7384       conftest$ac_exeext conftest.$ac_ext
    7385 LIBS=$ac_check_lib_save_LIBS
    7386 fi
    7387 echo "$as_me:$LINENO: result: $ac_cv_lib_m_main" >&5
    7388 echo "${ECHO_T}$ac_cv_lib_m_main" >&6
    7389 if test $ac_cv_lib_m_main = yes; then
    7390   cat >>confdefs.h <<_ACEOF
    7391 #define HAVE_LIBM 1
    7392 _ACEOF
    7393 
    7394   LIBS="-lm $LIBS"
    7395 
    7396 fi
    7397 
    7398 
    7399 
    7400 # Checks for header files.
    7401 echo "$as_me:$LINENO: checking for ANSI C header files" >&5
    7402 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
    7403 if test "${ac_cv_header_stdc+set}" = set; then
    7404   echo $ECHO_N "(cached) $ECHO_C" >&6
    7405 else
    7406   cat >conftest.$ac_ext <<_ACEOF
    7407 /* confdefs.h.  */
    7408 _ACEOF
    7409 cat confdefs.h >>conftest.$ac_ext
    7410 cat >>conftest.$ac_ext <<_ACEOF
    7411 /* end confdefs.h.  */
    7412 #include <stdlib.h>
    7413 #include <stdarg.h>
    7414 #include <string.h>
    7415 #include <float.h>
    7416 
    7417 int
    7418 main ()
    7419 {
    7420 
    7421   ;
    7422   return 0;
    7423 }
    7424 _ACEOF
    7425 rm -f conftest.$ac_objext
    7426 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7427   (eval $ac_compile) 2>conftest.er1
    7428   ac_status=$?
    7429   grep -v '^ *+' conftest.er1 >conftest.err
    7430   rm -f conftest.er1
    7431   cat conftest.err >&5
    7432   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7433   (exit $ac_status); } &&
    7434          { ac_try='test -z "$ac_c_werror_flag"
    7435                          || test ! -s conftest.err'
    7436   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7437   (eval $ac_try) 2>&5
    7438   ac_status=$?
    7439   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7440   (exit $ac_status); }; } &&
    74417541         { ac_try='test -s conftest.$ac_objext'
    74427542  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     
    74457545  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    74467546  (exit $ac_status); }; }; then
    7447   ac_cv_header_stdc=yes
     7547  ac_cv_type__Bool=yes
    74487548else
    74497549  echo "$as_me: failed program was:" >&5
    74507550sed 's/^/| /' conftest.$ac_ext >&5
    74517551
    7452 ac_cv_header_stdc=no
     7552ac_cv_type__Bool=no
    74537553fi
    74547554rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7455 
    7456 if test $ac_cv_header_stdc = yes; then
    7457   # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
    7458   cat >conftest.$ac_ext <<_ACEOF
    7459 /* confdefs.h.  */
    7460 _ACEOF
    7461 cat confdefs.h >>conftest.$ac_ext
    7462 cat >>conftest.$ac_ext <<_ACEOF
    7463 /* end confdefs.h.  */
    7464 #include <string.h>
    7465 
    7466 _ACEOF
    7467 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    7468   $EGREP "memchr" >/dev/null 2>&1; then
    7469   :
    7470 else
    7471   ac_cv_header_stdc=no
    7472 fi
    7473 rm -f conftest*
    7474 
    7475 fi
    7476 
    7477 if test $ac_cv_header_stdc = yes; then
    7478   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
    7479   cat >conftest.$ac_ext <<_ACEOF
    7480 /* confdefs.h.  */
    7481 _ACEOF
    7482 cat confdefs.h >>conftest.$ac_ext
    7483 cat >>conftest.$ac_ext <<_ACEOF
    7484 /* end confdefs.h.  */
    7485 #include <stdlib.h>
    7486 
    7487 _ACEOF
    7488 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    7489   $EGREP "free" >/dev/null 2>&1; then
    7490   :
    7491 else
    7492   ac_cv_header_stdc=no
    7493 fi
    7494 rm -f conftest*
    7495 
    7496 fi
    7497 
    7498 if test $ac_cv_header_stdc = yes; then
    7499   # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
    7500   if test "$cross_compiling" = yes; then
    7501   :
    7502 else
    7503   cat >conftest.$ac_ext <<_ACEOF
    7504 /* confdefs.h.  */
    7505 _ACEOF
    7506 cat confdefs.h >>conftest.$ac_ext
    7507 cat >>conftest.$ac_ext <<_ACEOF
    7508 /* end confdefs.h.  */
    7509 #include <ctype.h>
    7510 #if ((' ' & 0x0FF) == 0x020)
    7511 # define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
    7512 # define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
    7513 #else
    7514 # define ISLOWER(c) \
    7515                    (('a' <= (c) && (c) <= 'i') \
    7516                      || ('j' <= (c) && (c) <= 'r') \
    7517                      || ('s' <= (c) && (c) <= 'z'))
    7518 # define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
    7519 #endif
    7520 
    7521 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
    7522 int
    7523 main ()
    7524 {
    7525   int i;
    7526   for (i = 0; i < 256; i++)
    7527     if (XOR (islower (i), ISLOWER (i))
    7528         || toupper (i) != TOUPPER (i))
    7529       exit(2);
    7530   exit (0);
    7531 }
    7532 _ACEOF
    7533 rm -f conftest$ac_exeext
    7534 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    7535   (eval $ac_link) 2>&5
    7536   ac_status=$?
    7537   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7538   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
    7539   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7540   (eval $ac_try) 2>&5
    7541   ac_status=$?
    7542   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7543   (exit $ac_status); }; }; then
    7544   :
    7545 else
    7546   echo "$as_me: program exited with status $ac_status" >&5
    7547 echo "$as_me: failed program was:" >&5
    7548 sed 's/^/| /' conftest.$ac_ext >&5
    7549 
    7550 ( exit $ac_status )
    7551 ac_cv_header_stdc=no
    7552 fi
    7553 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
    7554 fi
    7555 fi
    7556 fi
    7557 echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
    7558 echo "${ECHO_T}$ac_cv_header_stdc" >&6
    7559 if test $ac_cv_header_stdc = yes; then
     7555fi
     7556echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
     7557echo "${ECHO_T}$ac_cv_type__Bool" >&6
     7558if test $ac_cv_type__Bool = yes; then
     7559
     7560cat >>confdefs.h <<_ACEOF
     7561#define HAVE__BOOL 1
     7562_ACEOF
     7563
     7564
     7565fi
     7566
     7567if test $ac_cv_header_stdbool_h = yes; then
    75607568
    75617569cat >>confdefs.h <<\_ACEOF
    7562 #define STDC_HEADERS 1
    7563 _ACEOF
    7564 
    7565 fi
    7566 
    7567 
    7568 
    7569 for ac_header in stdlib.h string.h
     7570#define HAVE_STDBOOL_H 1
     7571_ACEOF
     7572
     7573fi
     7574
     7575
     7576# Checks for library functions.
     7577
     7578for ac_header in stdlib.h
    75707579do
    75717580as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     
    77167725done
    77177726
    7718 
    7719 # Checks for typedefs, structures, and compiler characteristics.
    7720 echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5
    7721 echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6
    7722 if test "${ac_cv_header_stdbool_h+set}" = set; then
    7723   echo $ECHO_N "(cached) $ECHO_C" >&6
    7724 else
    7725   cat >conftest.$ac_ext <<_ACEOF
    7726 /* confdefs.h.  */
    7727 _ACEOF
    7728 cat confdefs.h >>conftest.$ac_ext
    7729 cat >>conftest.$ac_ext <<_ACEOF
    7730 /* end confdefs.h.  */
    7731 
    7732 #include <stdbool.h>
    7733 #ifndef bool
    7734 # error bool is not defined
    7735 #endif
    7736 #ifndef false
    7737 # error false is not defined
    7738 #endif
    7739 #if false
    7740 # error false is not 0
    7741 #endif
    7742 #ifndef true
    7743 # error true is not defined
    7744 #endif
    7745 #if true != 1
    7746 # error true is not 1
    7747 #endif
    7748 #ifndef __bool_true_false_are_defined
    7749 # error __bool_true_false_are_defined is not defined
    7750 #endif
    7751 
    7752         struct s { _Bool s: 1; _Bool t; } s;
    7753 
    7754         char a[true == 1 ? 1 : -1];
    7755         char b[false == 0 ? 1 : -1];
    7756         char c[__bool_true_false_are_defined == 1 ? 1 : -1];
    7757         char d[(bool) -0.5 == true ? 1 : -1];
    7758         bool e = &s;
    7759         char f[(_Bool) -0.0 == false ? 1 : -1];
    7760         char g[true];
    7761         char h[sizeof (_Bool)];
    7762         char i[sizeof s.t];
    7763 
    7764 int
    7765 main ()
    7766 {
    7767  return !a + !b + !c + !d + !e + !f + !g + !h + !i;
    7768   ;
    7769   return 0;
    7770 }
    7771 _ACEOF
    7772 rm -f conftest.$ac_objext
    7773 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7774   (eval $ac_compile) 2>conftest.er1
    7775   ac_status=$?
    7776   grep -v '^ *+' conftest.er1 >conftest.err
    7777   rm -f conftest.er1
    7778   cat conftest.err >&5
    7779   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7780   (exit $ac_status); } &&
    7781          { ac_try='test -z "$ac_c_werror_flag"
    7782                          || test ! -s conftest.err'
    7783   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7784   (eval $ac_try) 2>&5
    7785   ac_status=$?
    7786   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7787   (exit $ac_status); }; } &&
    7788          { ac_try='test -s conftest.$ac_objext'
    7789   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7790   (eval $ac_try) 2>&5
    7791   ac_status=$?
    7792   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7793   (exit $ac_status); }; }; then
    7794   ac_cv_header_stdbool_h=yes
    7795 else
    7796   echo "$as_me: failed program was:" >&5
    7797 sed 's/^/| /' conftest.$ac_ext >&5
    7798 
    7799 ac_cv_header_stdbool_h=no
    7800 fi
    7801 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7802 fi
    7803 echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5
    7804 echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6
    7805 echo "$as_me:$LINENO: checking for _Bool" >&5
    7806 echo $ECHO_N "checking for _Bool... $ECHO_C" >&6
    7807 if test "${ac_cv_type__Bool+set}" = set; then
    7808   echo $ECHO_N "(cached) $ECHO_C" >&6
    7809 else
    7810   cat >conftest.$ac_ext <<_ACEOF
    7811 /* confdefs.h.  */
    7812 _ACEOF
    7813 cat confdefs.h >>conftest.$ac_ext
    7814 cat >>conftest.$ac_ext <<_ACEOF
    7815 /* end confdefs.h.  */
    7816 $ac_includes_default
    7817 int
    7818 main ()
    7819 {
    7820 if ((_Bool *) 0)
    7821   return 0;
    7822 if (sizeof (_Bool))
    7823   return 0;
    7824   ;
    7825   return 0;
    7826 }
    7827 _ACEOF
    7828 rm -f conftest.$ac_objext
    7829 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7830   (eval $ac_compile) 2>conftest.er1
    7831   ac_status=$?
    7832   grep -v '^ *+' conftest.er1 >conftest.err
    7833   rm -f conftest.er1
    7834   cat conftest.err >&5
    7835   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7836   (exit $ac_status); } &&
    7837          { ac_try='test -z "$ac_c_werror_flag"
    7838                          || test ! -s conftest.err'
    7839   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7840   (eval $ac_try) 2>&5
    7841   ac_status=$?
    7842   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7843   (exit $ac_status); }; } &&
    7844          { ac_try='test -s conftest.$ac_objext'
    7845   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7846   (eval $ac_try) 2>&5
    7847   ac_status=$?
    7848   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7849   (exit $ac_status); }; }; then
    7850   ac_cv_type__Bool=yes
    7851 else
    7852   echo "$as_me: failed program was:" >&5
    7853 sed 's/^/| /' conftest.$ac_ext >&5
    7854 
    7855 ac_cv_type__Bool=no
    7856 fi
    7857 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7858 fi
    7859 echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5
    7860 echo "${ECHO_T}$ac_cv_type__Bool" >&6
    7861 if test $ac_cv_type__Bool = yes; then
    7862 
    7863 cat >>confdefs.h <<_ACEOF
    7864 #define HAVE__BOOL 1
    7865 _ACEOF
    7866 
    7867 
    7868 fi
    7869 
    7870 if test $ac_cv_header_stdbool_h = yes; then
    7871 
    7872 cat >>confdefs.h <<\_ACEOF
    7873 #define HAVE_STDBOOL_H 1
    7874 _ACEOF
    7875 
    7876 fi
    7877 
    7878 
    7879 # Checks for library functions.
    7880 
    7881 for ac_header in stdlib.h
    7882 do
    7883 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
    7884 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7885   echo "$as_me:$LINENO: checking for $ac_header" >&5
    7886 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    7887 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    7888   echo $ECHO_N "(cached) $ECHO_C" >&6
    7889 fi
    7890 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    7891 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    7892 else
    7893   # Is the header compilable?
    7894 echo "$as_me:$LINENO: checking $ac_header usability" >&5
    7895 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
    7896 cat >conftest.$ac_ext <<_ACEOF
    7897 /* confdefs.h.  */
    7898 _ACEOF
    7899 cat confdefs.h >>conftest.$ac_ext
    7900 cat >>conftest.$ac_ext <<_ACEOF
    7901 /* end confdefs.h.  */
    7902 $ac_includes_default
    7903 #include <$ac_header>
    7904 _ACEOF
    7905 rm -f conftest.$ac_objext
    7906 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    7907   (eval $ac_compile) 2>conftest.er1
    7908   ac_status=$?
    7909   grep -v '^ *+' conftest.er1 >conftest.err
    7910   rm -f conftest.er1
    7911   cat conftest.err >&5
    7912   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7913   (exit $ac_status); } &&
    7914          { ac_try='test -z "$ac_c_werror_flag"
    7915                          || test ! -s conftest.err'
    7916   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7917   (eval $ac_try) 2>&5
    7918   ac_status=$?
    7919   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7920   (exit $ac_status); }; } &&
    7921          { ac_try='test -s conftest.$ac_objext'
    7922   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    7923   (eval $ac_try) 2>&5
    7924   ac_status=$?
    7925   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7926   (exit $ac_status); }; }; then
    7927   ac_header_compiler=yes
    7928 else
    7929   echo "$as_me: failed program was:" >&5
    7930 sed 's/^/| /' conftest.$ac_ext >&5
    7931 
    7932 ac_header_compiler=no
    7933 fi
    7934 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    7935 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
    7936 echo "${ECHO_T}$ac_header_compiler" >&6
    7937 
    7938 # Is the header present?
    7939 echo "$as_me:$LINENO: checking $ac_header presence" >&5
    7940 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
    7941 cat >conftest.$ac_ext <<_ACEOF
    7942 /* confdefs.h.  */
    7943 _ACEOF
    7944 cat confdefs.h >>conftest.$ac_ext
    7945 cat >>conftest.$ac_ext <<_ACEOF
    7946 /* end confdefs.h.  */
    7947 #include <$ac_header>
    7948 _ACEOF
    7949 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
    7950   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
    7951   ac_status=$?
    7952   grep -v '^ *+' conftest.er1 >conftest.err
    7953   rm -f conftest.er1
    7954   cat conftest.err >&5
    7955   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    7956   (exit $ac_status); } >/dev/null; then
    7957   if test -s conftest.err; then
    7958     ac_cpp_err=$ac_c_preproc_warn_flag
    7959     ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
    7960   else
    7961     ac_cpp_err=
    7962   fi
    7963 else
    7964   ac_cpp_err=yes
    7965 fi
    7966 if test -z "$ac_cpp_err"; then
    7967   ac_header_preproc=yes
    7968 else
    7969   echo "$as_me: failed program was:" >&5
    7970 sed 's/^/| /' conftest.$ac_ext >&5
    7971 
    7972   ac_header_preproc=no
    7973 fi
    7974 rm -f conftest.err conftest.$ac_ext
    7975 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
    7976 echo "${ECHO_T}$ac_header_preproc" >&6
    7977 
    7978 # So?  What about this header?
    7979 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
    7980   yes:no: )
    7981     { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
    7982 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
    7983     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
    7984 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
    7985     ac_header_preproc=yes
    7986     ;;
    7987   no:yes:* )
    7988     { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
    7989 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
    7990     { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
    7991 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
    7992     { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
    7993 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
    7994     { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
    7995 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
    7996     { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
    7997 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
    7998     { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
    7999 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
    8000     (
    8001       cat <<\_ASBOX
    8002 ## ---------------------------------------------- ##
    8003 ## Report this to orxonox-dev at mail.datacore.ch ##
    8004 ## ---------------------------------------------- ##
    8005 _ASBOX
    8006     ) |
    8007       sed "s/^/$as_me: WARNING:     /" >&2
    8008     ;;
    8009 esac
    8010 echo "$as_me:$LINENO: checking for $ac_header" >&5
    8011 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
    8012 if eval "test \"\${$as_ac_Header+set}\" = set"; then
    8013   echo $ECHO_N "(cached) $ECHO_C" >&6
    8014 else
    8015   eval "$as_ac_Header=\$ac_header_preproc"
    8016 fi
    8017 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
    8018 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
    8019 
    8020 fi
    8021 if test `eval echo '${'$as_ac_Header'}'` = yes; then
    8022   cat >>confdefs.h <<_ACEOF
    8023 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
    8024 _ACEOF
    8025 
    8026 fi
    8027 
    8028 done
    8029 
    80307727echo "$as_me:$LINENO: checking for GNU libc compatible malloc" >&5
    80317728echo $ECHO_N "checking for GNU libc compatible malloc... $ECHO_C" >&6
     
    83568053Usually this means the macro was only invoked conditionally." >&5
    83578054echo "$as_me: error: conditional \"HAVE_GTK2\" was never defined.
    8358 Usually this means the macro was only invoked conditionally." >&2;}
    8359    { (exit 1); exit 1; }; }
    8360 fi
    8361 if test -z "${HAVE_GTHREAD_TRUE}" && test -z "${HAVE_GTHREAD_FALSE}"; then
    8362   { { echo "$as_me:$LINENO: error: conditional \"HAVE_GTHREAD\" was never defined.
    8363 Usually this means the macro was only invoked conditionally." >&5
    8364 echo "$as_me: error: conditional \"HAVE_GTHREAD\" was never defined.
    83658055Usually this means the macro was only invoked conditionally." >&2;}
    83668056   { (exit 1); exit 1; }; }
     
    89868676s,@HAVE_GTK2_TRUE@,$HAVE_GTK2_TRUE,;t t
    89878677s,@HAVE_GTK2_FALSE@,$HAVE_GTK2_FALSE,;t t
    8988 s,@GTHREAD_LIBS@,$GTHREAD_LIBS,;t t
    8989 s,@GTHREAD_CFLAGS@,$GTHREAD_CFLAGS,;t t
    8990 s,@HAVE_GTHREAD_TRUE@,$HAVE_GTHREAD_TRUE,;t t
    8991 s,@HAVE_GTHREAD_FALSE@,$HAVE_GTHREAD_FALSE,;t t
    89928678s,@CURL_LIBS@,$CURL_LIBS,;t t
    89938679s,@CURL_CFLAGS@,$CURL_CFLAGS,;t t
  • orxonox/trunk/configure.ac

    r4054 r4061  
    101101
    102102#------------------#
    103 # gThread-disabled #
    104 #------------------#
    105 AC_MSG_CHECKING([if gThread should be enabled])
    106 AC_ARG_WITH([gthread],
    107         AC_HELP_STRING( [--without-gthread],
    108         [Prevents gThread from being loaded]), [def_gthread=no], [def_gthread=yes])
    109 if test x$def_gthread = xyes; then
    110   echo "yes"
    111 fi
    112 if test x$def_gthread = xno; then
    113   echo "no"
    114 fi
    115 
    116 #------------------#
    117 # pthread-disabled #
    118 #------------------#
    119 AC_MSG_CHECKING([if pthread should be enabled])
    120 AC_ARG_WITH([pthread],
    121         AC_HELP_STRING( [--without-pthread],
    122         [Prevents pthread from being loaded]), [def_pthread=no], [def_pthread=yes])
    123 if test x$def_pthread = xyes; then
    124   echo "yes"
    125 fi
    126 if test x$def_pthread = xno; then
    127   echo "no"
    128 fi
    129 
    130 #------------------#
    131103# libCurl-disabled #
    132104#------------------#
     
    482454
    483455#---------#
    484 # gThread #
    485 #---------#
    486 if test x$def_gthread = xyes; then
    487 
    488         AC_MSG_CHECKING([for gthread])
    489         if `pkg-config --exists gthread-2.0`; then
    490                 echo "yes"
    491                 have_gthread=yes
    492                 GTHREAD_LIBS=`pkg-config --libs gthread-2.0`
    493                 GTHREAD_CFLAGS=`pkg-config --cflags gthread-2.0`
    494                 AC_DEFINE_UNQUOTED(HAVE_GTHREAD, 1, [if we have gThread])
    495         else
    496                 echo "no"
    497         fi
    498 
    499 fi
    500 AC_SUBST(GTHREAD_LIBS)
    501 AC_SUBST(GTHREAD_CFLAGS)
    502 AM_CONDITIONAL(HAVE_GTHREAD, test x$have_gthread = xyes)
    503 
    504 #---------#
    505456# libcURL #
    506457#---------#
     
    522473AC_SUBST(CURL_CFLAGS)
    523474AM_CONDITIONAL(HAVE_CURL, test x$have_curl = xyes)
    524 
    525 #---------#
    526 # pthread #
    527 #---------#
    528 if test x$def_pthread = xyes ; then
    529  if test x$have_gthread = xyes ; then
    530   AC_CHECK_HEADERS([pthread.h], [pthreadHeader="yes"], [pthreadHeader="no"])
    531   AC_CHECK_LIB([pthread], [main], [FOUND_pthread=yes])
    532    if test x$FOUND_pthread = xyes ; then
    533       LIBS="$LIBS -lpthread"
    534    fi
    535  fi
    536 fi
    537 
    538475
    539476#--------#
  • orxonox/trunk/src/Makefile.in

    r4057 r4061  
    195195EXEEXT = @EXEEXT@
    196196GPROF = @GPROF@
    197 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    198 GTHREAD_LIBS = @GTHREAD_LIBS@
    199197GTK2_CFLAGS = @GTK2_CFLAGS@
    200198GTK2_LIBS = @GTK2_LIBS@
    201199HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    202200HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    203 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    204 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    205201HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    206202HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/Makefile.in

    r4054 r4061  
    8989EXEEXT = @EXEEXT@
    9090GPROF = @GPROF@
    91 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    92 GTHREAD_LIBS = @GTHREAD_LIBS@
    9391GTK2_CFLAGS = @GTK2_CFLAGS@
    9492GTK2_LIBS = @GTK2_LIBS@
    9593HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    9694HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    97 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    98 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    9995HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    10096HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/graphics/Makefile.in

    r4054 r4061  
    8989EXEEXT = @EXEEXT@
    9090GPROF = @GPROF@
    91 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    92 GTHREAD_LIBS = @GTHREAD_LIBS@
    9391GTK2_CFLAGS = @GTK2_CFLAGS@
    9492GTK2_LIBS = @GTK2_LIBS@
    9593HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    9694HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    97 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    98 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    9995HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    10096HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/graphics/importer/Makefile.in

    r4054 r4061  
    119119EXEEXT = @EXEEXT@
    120120GPROF = @GPROF@
    121 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    122 GTHREAD_LIBS = @GTHREAD_LIBS@
    123121GTK2_CFLAGS = @GTK2_CFLAGS@
    124122GTK2_LIBS = @GTK2_LIBS@
    125123HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    126124HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    127 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    128 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    129125HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    130126HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/gui/Makefile.in

    r4054 r4061  
    8989EXEEXT = @EXEEXT@
    9090GPROF = @GPROF@
    91 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    92 GTHREAD_LIBS = @GTHREAD_LIBS@
    9391GTK2_CFLAGS = @GTK2_CFLAGS@
    9492GTK2_LIBS = @GTK2_LIBS@
    9593HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    9694HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    97 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    98 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    9995HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    10096HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/gui/console/Makefile.in

    r4054 r4061  
    107107EXEEXT = @EXEEXT@
    108108GPROF = @GPROF@
    109 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    110 GTHREAD_LIBS = @GTHREAD_LIBS@
    111109GTK2_CFLAGS = @GTK2_CFLAGS@
    112110GTK2_LIBS = @GTK2_LIBS@
    113111HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    114112HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    115 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    116 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    117113HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    118114HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/gui/gui/Makefile.in

    r4054 r4061  
    112112EXEEXT = @EXEEXT@
    113113GPROF = @GPROF@
    114 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    115 GTHREAD_LIBS = @GTHREAD_LIBS@
    116114GTK2_CFLAGS = @GTK2_CFLAGS@
    117115GTK2_LIBS = @GTK2_LIBS@
    118116HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    119117HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    120 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    121 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    122118HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    123119HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/lib/gui/gui/gui_gtk.cc

    r4058 r4061  
    4949
    5050#ifdef HAVE_GTK2
    51 #ifdef HAVE_GTHREAD
    52   PRINTF(4)("Initializing the ThreadSystem of the GUI\n");
    53   g_thread_init(NULL);
    54   gdk_threads_init();
    55 #endif /* HAVE_GTHREAD */
    5651  gtk_init(&argc, &argv);
    5752#include "rc"
     
    6661{
    6762#ifdef HAVE_GTK2
    68   gdk_threads_enter();
    6963  gtk_main();
    70   gdk_threads_leave();
    71   delete Window::mainWindow;
    7264#else /* HAVE_GTK2 */
    7365  char boolAns = 'y';
  • orxonox/trunk/src/lib/gui/gui/gui_update.cc

    r4056 r4061  
    276276  bar->setTotalSize(totalSize);
    277277#ifdef HAVE_GTK2
    278 #ifndef HAVE_PTHREAD_H
    279278  while(gtk_events_pending()) gtk_main_iteration();
    280279#endif
    281 #endif
    282280  return 0;
    283281}
     
    288286CURL* GuiUpdate::curlHandle = NULL;
    289287
    290 #ifdef HAVE_PTHREAD_H
    291 /** \brief The download Thread ID */
    292 pthread_t* GuiUpdate::downloadThreadID = new pthread_t;
    293 /**   \brief The download Thread ID*/
    294 pthread_t* GuiUpdate::downloadThreadFinishID = new pthread_t;
    295 #endif /* HAVE_PTHREAD_H */
    296288/**
    297289   \brief A bool parameter that shows if we are downloading.
     
    387379      if(!isDownloading)
    388380        {
    389 #ifdef HAVE_PTHREAD_H     
    390           pthread_join(*downloadThreadFinishID, NULL);
    391 #endif /* HAVE_PTHREAD_H */
    392381#ifdef HAVE_GTK2
    393382          info->stateButton->disconnectSignal(info->buttonSignal);
    394383          info->buttonSignal = info->stateButton->connectSignal("button_press_event", info, cancelDownload);
    395384#endif /* HAVE_GTK2 */
    396 #ifdef HAVE_PTHREAD_H
    397           info->stateButton->setTitle("cancel");
    398 #else /* HAVE_PTHREAD_H */
    399385          info->stateButton->setTitle("please wait");
    400 #endif /* HAVE_PTHREAD_H */
    401386         
    402           //! \todo check if threads really were created.
    403 #ifdef HAVE_PTHREAD_H
    404           pthread_create(downloadThreadID, NULL, downloadThread, info);
    405           pthread_create(downloadThreadFinishID, NULL, downloadThreadFinished, info); 
    406 #else
    407387          downloadThread(info);
    408388          downloadThreadFinished(info);
    409 #endif /* HAVE_PTHREAD_H */
    410389         
    411390          //      res = curl_easy_perform(curlHandle);
     
    439418{
    440419  FileInfo* info =(FileInfo*)fileInfo;
    441 #ifdef HAVE_PTHREAD_H
    442   pthread_join(*downloadThreadID, NULL);
    443 #ifdef HAVE_GTK2
    444   gdk_threads_enter();
    445 #endif /* HAVE_GTK2 */
    446 #endif /* HAVE_PTHREAD_H */
    447420  if(curlHandle)
    448421    curl_easy_cleanup(curlHandle);
     
    460433#endif /* HAVE_GTK2 */
    461434  isDownloading = false;
    462 #ifdef HAVE_PTHREAD_H
    463 #ifdef HAVE_GTK2
    464   gdk_threads_leave();
    465 #endif /* HAVE_GTK2 */
    466 #endif /* HAVE_PTHREAD_H */
    467435
    468436}
     
    479447gint GuiUpdate::cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar)
    480448{
    481 #ifdef HAVE_PTHREAD_H
    482   pthread_cancel(*downloadThreadID);
    483 #else
    484   PRINTF(2)("Cannot cancle the Downloading process until after this File, because no threading was enabled\n");
    485 #endif /* HAVE_PTHREAD_H*/
     449  PRINTF(4)("Cannot cancle the Downloading process until after this File\n");
    486450}
    487451#endif /* HAVE_GTK2 */
  • orxonox/trunk/src/lib/gui/gui/gui_update.h

    r4056 r4061  
    8282  static gint cancelDownload(GtkWidget* w, GdkEventKey* event, void* bar);
    8383#endif /* HAVE_GTK2 */ 
    84 #ifdef HAVE_PTHREAD_H
    85   static pthread_t* downloadThreadID;
    86   static pthread_t* downloadThreadFinishID;
    87 #endif /* HAVE_PTHREAD_H */
    8884  static bool isDownloading;
     85  static bool downloadCanceled;
    8986
    9087  static bool download(void* fileInfo);
  • orxonox/trunk/src/subprojects/Makefile.in

    r4054 r4061  
    8989EXEEXT = @EXEEXT@
    9090GPROF = @GPROF@
    91 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    92 GTHREAD_LIBS = @GTHREAD_LIBS@
    9391GTK2_CFLAGS = @GTK2_CFLAGS@
    9492GTK2_LIBS = @GTK2_LIBS@
    9593HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    9694HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    97 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    98 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    9995HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    10096HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
  • orxonox/trunk/src/subprojects/testmain/Makefile.in

    r4054 r4061  
    104104EXEEXT = @EXEEXT@
    105105GPROF = @GPROF@
    106 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
    107 GTHREAD_LIBS = @GTHREAD_LIBS@
    108106GTK2_CFLAGS = @GTK2_CFLAGS@
    109107GTK2_LIBS = @GTK2_LIBS@
    110108HAVE_CURL_FALSE = @HAVE_CURL_FALSE@
    111109HAVE_CURL_TRUE = @HAVE_CURL_TRUE@
    112 HAVE_GTHREAD_FALSE = @HAVE_GTHREAD_FALSE@
    113 HAVE_GTHREAD_TRUE = @HAVE_GTHREAD_TRUE@
    114110HAVE_GTK2_FALSE = @HAVE_GTK2_FALSE@
    115111HAVE_GTK2_TRUE = @HAVE_GTK2_TRUE@
Note: See TracChangeset for help on using the changeset viewer.